#!/bin/sh
# 
# Naprawiarka do font\'ow THETA (ed. 1) zmontowana w BOP s.c., Gda\'nsk
# A patch for ThETA fonts (ed. 1) 
# 

CONT () {
    if [ ! -f $1.afm ] 
    then
	ERR1 $1
    fi
    if [ -f $1.pf ]
    then
	ERR2 $1
    fi
    if [ -f $1.af ]
    then
	ERR2 $1
    fi
    echo Font ThETA $1

    chmod -w $1.pfb 
    mv $1.pfb $1.pf
    t1disasm $1.pf _tmp_p_.src
    gawk -fthetafix.awk -vP=1 _tmp_p_.src > _tmp_p_.res
    t1asm -b _tmp_p_.res $1.pfb

    chmod -w $1.afm
    mv $1.afm $1.af
    gawk -fthetafix.awk -vA=1 $1.af > $1.afm

    echo OK
    exit
}

BADARG () {
    echo P: "Program do naprawiania font\\'ow z CD THETA (ed. 1)"
    echo P: "U\\.zycie: thetfix1 nazwa_fontu (bez rozszerzenia)"
    echo E: "A patch for ThETA fonts (ed. 1)"
    echo E: "Usage: thetfix1 font_name (without extension)"
    exit
}

ERR1 () {
    echo P: Brak pliku $1.pfb lub $1.afm
    echo E: Missing file: $1.pfb or $1.afm
    exit
}

ERR2 () {
    echo P: Istnieje plik $1.pf lub $1.af
    echo E: Either $1.pf or $1.af exists
    exit
}

if [ "$1" = "" ]
	then BADARG $1
fi
if [ -f $1.pfb ]
	then CONT $1
fi
ERR1 $1
